# Interface TurnMove

interface TurnMove {
move : Moves ;
result : MoveResult ;
targets ?: BattlerIndex [];
turn ?: number;
virtual ?: boolean;
}

- Defined in src/field/pokemon.ts:3706

#####
Index

### Properties

move
result
targets?
turn?
virtual?

## Properties

### move

move: Moves

- Defined in src/field/pokemon.ts:3707

### result

result: MoveResult

- Defined in src/field/pokemon.ts:3709

### `Optional` targets

targets?: BattlerIndex []

- Defined in src/field/pokemon.ts:3708

### `Optional` turn

turn?: number

- Defined in src/field/pokemon.ts:3711

### `Optional` virtual

virtual?: boolean

- Defined in src/field/pokemon.ts:3710